Debian Bug report logs - #400975
libc6-dev: posix_openpt needs #define _XOPEN_SOURCE 600

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Martín Ferrari <martin.ferrari@gmail.com>

Date: Wed, 29 Nov 2006 22:18:01 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version manpages/2.44-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#400975; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Martín Ferrari <martin.ferrari@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martín Ferrari <martin.ferrari@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6-dev: posix_openpt needs #define _XOPEN_SOURCE 600
Date: Wed, 29 Nov 2006 18:58:29 -0300
Package: libc6-dev
Version: 2.3.6.ds1-8
Severity: normal

Contradicting GNU libc man page, posix_openpt needs #define
_XOPEN_SOURCE 600, instead of only #define _XOPEN_SOURCE.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (901, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-10-generic
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)

Versions of packages libc6-dev depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  linux-kernel-headers         2.6.18-6    Linux Kernel Headers for developme

Versions of packages libc6-dev recommends:
ii  gcc [c-compiler]              4:4.1.1-13 The GNU C compiler
ii  gcc-4.0 [c-compiler]          4.0.3-7    The GNU C compiler
ii  gcc-4.1 [c-compiler]          4.1.1-19   The GNU C compiler

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#400975; Package libc6-dev. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 400975@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martín Ferrari <martin.ferrari@gmail.com>, 400975@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#400975: libc6-dev: posix_openpt needs #define _XOPEN_SOURCE 600
Date: Thu, 30 Nov 2006 00:50:22 +0100
reassign 400975 manpages-dev
thanks

On Wed, Nov 29, 2006 at 06:58:29PM -0300, Martín Ferrari wrote:
> Package: libc6-dev
> Version: 2.3.6.ds1-8
> Severity: normal
> 
> Contradicting GNU libc man page, posix_openpt needs #define
> _XOPEN_SOURCE 600, instead of only #define _XOPEN_SOURCE.
> 

Then this is a bug in the manpage. Reassigning the bug.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Bug reassigned from package `libc6-dev' to `manpages-dev'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martín Ferrari <martin.ferrari@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 400975-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 400975-close@bugs.debian.org
Subject: Bug#400975: fixed in manpages 2.44-1
Date: Sun, 22 Apr 2007 17:02:05 +0000
Source: manpages
Source-Version: 2.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-1_all.deb
manpages_2.44-1.diff.gz
  to pool/main/m/manpages/manpages_2.44-1.diff.gz
manpages_2.44-1.dsc
  to pool/main/m/manpages/manpages_2.44-1.dsc
manpages_2.44-1_all.deb
  to pool/main/m/manpages/manpages_2.44-1_all.deb
manpages_2.44.orig.tar.gz
  to pool/main/m/manpages/manpages_2.44.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Apr 2007 18:38:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 400971 400975 403888 411777 416012
Changes: 
 manpages (2.44-1) unstable; urgency=low
 .
   * New upstream release
     . Fix EINVAL description in mbind(2) (closes: Bug#411777)
     . Various improvements to DESCRIPTION in rename(2) (closes: Bug#416012)
     . Improved time(2) (closes: Bug#403888)
     . Improved getopt(2) (closes: Bug#bug352139)
     . Fix return type in SYNOPSIS in posix_openpt(2) (closes: Bug#400971)
     . Needs _XOPEN_SOURCE == 600 in posix_openpt(2) (closes: Bug400975)
Files: 
 e11c60f3ff3cc7b5682509dcc3a5d20a 584 doc - manpages_2.44-1.dsc
 ce67dbac96f1934b65fd87f099c39c66 1216437 doc - manpages_2.44.orig.tar.gz
 772ce538ebaa630fdbcc2d84ff4211db 53563 doc - manpages_2.44-1.diff.gz
 e48dc02ffd29653e69933a04db1c0e21 497298 doc important manpages_2.44-1_all.deb
 696cf4c78a8652e230d20efef56876aa 1235602 doc optional manpages-dev_2.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGK5EzW5ql+IAeqTIRAjgzAJsEtGwz3ghmmwgHUF4qCJ5C7xit2wCglF+B
Fzi+cBPGWvvk9Cij4bibF20=
=7YWC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2007 07:59:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:14:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.